DateInterval::__construct
DateInterval::format
DateInterval
PHP Manual

# DateInterval::createFromDateString

(PHP 5 >= 5.3.0)

DateInterval::createFromDateString — Sets up a DateInterval from the relative parts of the string

### Description

public static DateInterval DateInterval::createFromDateString ( string `$time` )

Uses the normal date parsers and sets up a DateInterval from the relative parts of the parsed string.

### Parameters

`time`

  A date with relative parts. Specifically, the relative formats supported by the parser used for strtotime() and DateTime will be used to construct the DateInterval.

### Examples

Example #1 Parsing valid date intervals

`<?php
// Each set of intervals is equal.
$i = new DateInterval('P1D');
$i = DateInterval::createFromDateString('1 day');
$i = new DateInterval('P2W');
$i = DateInterval::createFromDateString('2 weeks');
$i = new DateInterval('P3M');
$i = DateInterval::createFromDateString('3 months');
$i = new DateInterval('P4Y');
$i = DateInterval::createFromDateString('4 years');
$i = new DateInterval('P1Y1D');
$i = DateInterval::createFromDateString('1 year + 1 day');
$i = new DateInterval('P1DT12H');
$i = DateInterval::createFromDateString('1 day + 12 hours');
$i = new DateInterval('PT3600S');
$i = DateInterval::createFromDateString('3600 seconds');
?>`

### Return Values

Returns a new DateInterval instance.

DateInterval::__construct
DateInterval::format
DateInterval
PHP Manual